GNU bug report logs - #32277
27.0.50; EWW not align <table> inside <blockquote>

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Xu Chunyang <mail@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 32277 <at> debbugs.gnu.org and Xu Chunyang <mail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32277 <at> debbugs.gnu.org:


Received: (at 32277) by debbugs.gnu.org; 13 May 2019 19:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 15:05:32 2019
Received: from localhost ([127.0.0.1]:46207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQGGS-00005d-9x
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 15:05:32 -0400
Received: from quimby.gnus.org ([80.91.231.51]:44228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hQGGP-00005R-Qt
 for 32277 <at> debbugs.gnu.org; Mon, 13 May 2019 15:05:30 -0400
Received: from [12.41.144.226] (helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hQGGL-0000kd-EC; Mon, 13 May 2019 21:05:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bad Blue Bull <ibmbull@HIDDEN>
Subject: Re: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>
References: <m2h8km36ym.fsf@HIDDEN> <8736w5uyqo.fsf@HIDDEN>
 <m2zhyd5678.fsf@HIDDEN>
 <9903601532689393@HIDDEN>
Date: Mon, 13 May 2019 15:05:23 -0400
In-Reply-To: <9903601532689393@HIDDEN> (Bad Blue
 Bull's message of "Fri, 27 Jul 2018 14:03:13 +0300")
Message-ID: <874l5yw4y4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Bad Blue Bull <ibmbull@HIDDEN> writes: > Okay, it's even
 more interesting, shr renders page correctly and in the end it > re-indents
 first row of blockquoted table! > put this stuff in the buffer called
 test.html:
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32277
Cc: "32277 <at> debbugs.gnu.org" <32277 <at> debbugs.gnu.org>,
 Brett Gilio <brettg@HIDDEN>, Xu Chunyang <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bad Blue Bull <ibmbull@HIDDEN> writes:

> Okay, it's even more interesting, shr renders page correctly and in the end it
> re-indents first row of blockquoted table!
> put this stuff in the buffer called test.html:

I think I've now resolved the problems when blockquoting/<li>-ing tables
where the first line of the table would become mis-indented.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.

Message received at 32277 <at> debbugs.gnu.org:


Received: (at 32277) by debbugs.gnu.org; 27 Jul 2018 11:03:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 27 07:03:25 2018
Received: from localhost ([127.0.0.1]:59635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fj0Wr-0008JL-0K
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2018 07:03:25 -0400
Received: from forward101j.mail.yandex.net ([5.45.198.241]:53992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ibmbull@HIDDEN>) id 1fj0Wn-0008J4-Q7
 for 32277 <at> debbugs.gnu.org; Fri, 27 Jul 2018 07:03:23 -0400
Received: from mxback9j.mail.yandex.net (mxback9j.mail.yandex.net
 [IPv6:2a02:6b8:0:1619::112])
 by forward101j.mail.yandex.net (Yandex) with ESMTP id 693AF1245FD1;
 Fri, 27 Jul 2018 14:03:15 +0300 (MSK)
Received: from localhost (localhost [::1])
 by mxback9j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id AS6d6F3ylQ-3DBildR8; 
 Fri, 27 Jul 2018 14:03:14 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1532689394; bh=S6MKhjba7daftNuq87/PXGcUWhKWg0zLcty3oXlFpOo=;
 h=From:To:Cc:In-Reply-To:References:Subject:Date:Message-Id;
 b=rRBLMezx4NJxDk95T3BIV51zFcGgAfe6fTxgadkYZj8XuVp2J5a8NC4cKJMj6eFar
 gN+ys9tAWwR8FsIOnO014ATPSEkRgSm+qpJRmcOaWHGOIwjTYNKWWLE3uNxg9OEnhs
 ndkGodv5epi9TkOzHCj8S3ON0eTNWXKiq6+u0wDw=
Authentication-Results: mxback9j.mail.yandex.net; dkim=pass header.i=@yandex.ru
Received: by sas1-063d61d846d8.qloud-c.yandex.net with HTTP;
 Fri, 27 Jul 2018 14:03:13 +0300
From: Bad Blue Bull <ibmbull@HIDDEN>
To: Xu Chunyang <mail@HIDDEN>,
	Brett Gilio <brettg@HIDDEN>
In-Reply-To: <m2zhyd5678.fsf@HIDDEN>
References: <m2h8km36ym.fsf@HIDDEN> <8736w5uyqo.fsf@HIDDEN>
 <m2zhyd5678.fsf@HIDDEN>
Subject: Re: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>
MIME-Version: 1.0
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Fri, 27 Jul 2018 14:03:13 +0300
Message-Id: <9903601532689393@HIDDEN>
Content-Transfer-Encoding: base64
Content-Type: text/html; charset=utf-8
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Okay, it's even more interesting, shr renders page correctly
 and in the end it re-indents first row of blockquoted table! put this stuff
 in the buffer called test.html: <html> [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [5.45.198.241 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (ibmbull[at]yandex.ru)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML tag
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 32277
Cc: "32277 <at> debbugs.gnu.org" <32277 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.

Message received at 32277 <at> debbugs.gnu.org:


Received: (at 32277) by debbugs.gnu.org; 27 Jul 2018 10:28:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 27 06:28:53 2018
Received: from localhost ([127.0.0.1]:59607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fizzR-0007RG-9l
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2018 06:28:53 -0400
Received: from forward105p.mail.yandex.net ([77.88.28.108]:51528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ibmbull@HIDDEN>) id 1fizzO-0007R2-Ir
 for 32277 <at> debbugs.gnu.org; Fri, 27 Jul 2018 06:28:51 -0400
Received: from mxback10g.mail.yandex.net (mxback10g.mail.yandex.net
 [IPv6:2a02:6b8:0:1472:2741:0:8b7:171])
 by forward105p.mail.yandex.net (Yandex) with ESMTP id 4E6964084D7A
 for <32277 <at> debbugs.gnu.org>; Fri, 27 Jul 2018 13:28:44 +0300 (MSK)
Received: from localhost (localhost [::1])
 by mxback10g.mail.yandex.net (nwsmtp/Yandex) with ESMTP id FzAyT6GB6k-ShZWprN1;
 Fri, 27 Jul 2018 13:28:43 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1532687323; bh=PzSVbfOQ+2CSZskZxkhlFQ+XzSLLTr8rrmd4HfRK3jY=;
 h=From:To:Date:Message-Id;
 b=PVWjIwx5nP66k1yAHfBhV8/WvPdwvp8anBzLSx6Gi+0T0JYfB3losO+SVp+fBCzzA
 aYSWzgluvv6Zon7oMGXXyY/XZMVEh6WTSNccpBbSBiGRksGlt04kp2ehh1alpeXRmL
 pKc1DaAHqxYOhU4LnRJATiL2+/uf5Oi9pTmIAymI=
Authentication-Results: mxback10g.mail.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by sas1-cd55e40a6ba0.qloud-c.yandex.net with HTTP;
 Fri, 27 Jul 2018 13:28:43 +0300
From: IBM IBM <ibmbull@HIDDEN>
To: 32277 <at> debbugs.gnu.org
MIME-Version: 1.0
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Fri, 27 Jul 2018 13:28:43 +0300
Message-Id: <1377241532687323@HIDDEN>
Content-Transfer-Encoding: 7bit
Content-Type: text/html
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  There's a bug in shr.el, seems it indents first row twice
 if the table is inside blockquote. Does Lars Magne Ingebrigtsen read this
 list? [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [77.88.28.108 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (ibmbull[at]yandex.ru)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML tag
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: 32277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  There's a bug in shr.el, seems it indents first row twice
   if the table is inside blockquote. Does Lars Magne Ingebrigtsen read this
   list? [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [77.88.28.108 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (ibmbull[at]yandex.ru)
  0.0 HTML_MESSAGE           BODY: HTML included in message
  1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML tag
  1.8 MISSING_SUBJECT        Missing Subject: header
  0.2 NO_SUBJECT             Extra score for no subject
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

<div>There's a bug in shr.el, seems it indents first row twice if the table is inside blockquote.</div><div>Does Lars Magne Ingebrigtsen read this list?</div>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.

Message received at 32277 <at> debbugs.gnu.org:


Received: (at 32277) by debbugs.gnu.org; 27 Jul 2018 10:23:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 27 06:23:10 2018
Received: from localhost ([127.0.0.1]:59602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fiztu-0007FU-1d
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2018 06:23:10 -0400
Received: from forward103p.mail.yandex.net ([77.88.28.106]:34815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1fiztr-0007Ez-Dw
 for 32277 <at> debbugs.gnu.org; Fri, 27 Jul 2018 06:23:08 -0400
Received: from mxback7o.mail.yandex.net (mxback7o.mail.yandex.net
 [IPv6:2a02:6b8:0:1a2d::21])
 by forward103p.mail.yandex.net (Yandex) with ESMTP id DC9312188011;
 Fri, 27 Jul 2018 13:22:23 +0300 (MSK)
Received: from smtp1p.mail.yandex.net (smtp1p.mail.yandex.net
 [2a02:6b8:0:1472:2741:0:8b6:6])
 by mxback7o.mail.yandex.net (nwsmtp/Yandex) with ESMTP id 8kzdWUa16i-MNdWQN6L; 
 Fri, 27 Jul 2018 13:22:23 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=xuchunyang.me; s=mail;
 t=1532686943; bh=lmC8SpIDVH2nRyYjHcOROwBkYqpbR+IodaX0s4swQ8Y=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID;
 b=WHi4qX0NP3gWJreJpfWTmEvIrp92wi7hhlPHP++nuIIJ6zqjHXhc4zHQluqDJTKCX
 IRMaJuvLW6XmVQ8u712OvSL+LSub4wejIZLSh9xAIbz5rX8Xl1nvECTbgY/BG9IuUs
 tIB/QLb1aH4LVFFAeVmB6lYAANx7q5A0NS5zH4Tg=
Received: by smtp1p.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 OZjeMbUWMZ-ML5Gv51V; Fri, 27 Jul 2018 13:22:22 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=xuchunyang.me; s=mail;
 t=1532686942; bh=lmC8SpIDVH2nRyYjHcOROwBkYqpbR+IodaX0s4swQ8Y=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID;
 b=oZ8+r5jLoMSnIkb0UPhP+tbxt33ZBMAfNPqI1zPXwNTGoZA/bbdU02PUPkrGn/RlC
 wPrZv6K9pRSC3UcELJ3c4wTW8H8yYrTIFNGTjfBcY84RHi/HHssvqipVYPfyrjk1Iu
 agmXD+GKvjJohaB6tAoS3PqL7Fid9hhhs5vIqvoM=
Authentication-Results: smtp1p.mail.yandex.net;
 dkim=pass header.i=@xuchunyang.me
References: <m2h8km36ym.fsf@HIDDEN> <8736w5uyqo.fsf@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Xu Chunyang <mail@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>
In-reply-to: <8736w5uyqo.fsf@HIDDEN>
Date: Fri, 27 Jul 2018 18:22:19 +0800
Message-ID: <m2zhyd5678.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32277
Cc: 32277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Brett Gilio writes:

> Xu Chunyang writes:
>
>> For example,
>>
>> <blockquote>
>>   <table>
>>     <tr>
>>       <td>111</td>
>>       <td>222</td>
>>     </tr>
>>     <tr>
>>       <td>333</td>
>>       <td>444</td>
>>     </tr>
>>     <tr>
>>       <td>555</td>
>>       <td>666</td>
>>     </tr>
>>   </table>
>> </blockquote>
>>
>> EWW renders it as the following
>>
>>          111  222       333  444       555  666  
>>
>> What I expected is (i.e., aligned)
>>
>>      111  222       333  444       555  666  
>
> I do not mean to "works on my machine", but it works on my machine.
>
> Do you have any specific configuration for EWW in your .emacs file?

Yes, but I can reproduce from Emacs -Q

    ~ $ cat test.html
    <blockquote>
      <table>
        <tr>
          <td>111</td>
          <td>222</td>
        </tr>
        <tr>
          <td>333</td>
          <td>444</td>
        </tr>
        <tr>
          <td>555</td>
          <td>666</td>
        </tr>
      </table>
    </blockquote>
    ~ $ emacs -Q -nw --eval '(eww-open-file "test.html")'
    ~ $ emacs --version | head -1
    GNU Emacs 25.3.1
    ~ $

The following is the result of EWW

https://preview.ibb.co/dainUT/Screen_Shot_2018_07_27_at_6_18_03_PM.png




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.

Message received at 32277 <at> debbugs.gnu.org:


Received: (at 32277) by debbugs.gnu.org; 27 Jul 2018 03:58:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 26 23:58:54 2018
Received: from localhost ([127.0.0.1]:59461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fitu2-0004Wa-6G
	for submit <at> debbugs.gnu.org; Thu, 26 Jul 2018 23:58:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:35011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1fitu1-0004WN-0D
 for 32277 <at> debbugs.gnu.org; Thu, 26 Jul 2018 23:58:53 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id D86E321150
 for <32277 <at> debbugs.gnu.org>; Fri, 27 Jul 2018 05:58:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1532663926; bh=/OkkkypkiVqs0ftFRLvwlEkrqYN+KBg9uKYWNSyAIB0=;
 h=From:To:Cc:Subject:Date:From;
 b=L6Rnd7fCLNVizuClqz7Lh2S6a/zgz2V/UuVrIjOKoaQ6qUd7pcz7hvpENpXHE9Dmr
 m6T54iNUDCnd5yTo3F3D3CT6cHLpo1aGNOsm9L1uwk2O+oEdjk2b8hJdRgR+09qgJB
 D0xSDz1tIwxD9i3/uvOKAdBupa2bsxXjdODbHuzsq8nwgYiY1USPQhIyxRC90BnZaT
 sEVTm0ZQipYuFlr7JgAENnFyekMu0kBI3Ejk5xUwU42cStjQOVBVaVoSeOdd3vddd3
 6xNFQjxOiM50hYEk2PzyNhjUR04Ki1rmcVZdHPRDa5454dSAweQQhrNSaWUZ3NFhux
 YkKjCi7zvJ+lA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 41cFZF54Gqz9rxG;
 Fri, 27 Jul 2018 05:58:45 +0200 (CEST)
References: <m2h8km36ym.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 27.0.50
From: Brett Gilio <brettg@HIDDEN>
To: Xu Chunyang <mail@HIDDEN>
Subject: Re: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>
In-reply-to: <m2h8km36ym.fsf@HIDDEN>
Date: Thu, 26 Jul 2018 22:46:39 -0500
Message-ID: <8736w5uyqo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32277
Cc: 32277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Xu Chunyang writes:

> For example,
>
> <blockquote>
>   <table>
>     <tr>
>       <td>111</td>
>       <td>222</td>
>     </tr>
>     <tr>
>       <td>333</td>
>       <td>444</td>
>     </tr>
>     <tr>
>       <td>555</td>
>       <td>666</td>
>     </tr>
>   </table>
> </blockquote>
>
> EWW renders it as the following
>
>          111  222  
>      333  444  
>      555  666  
>
> What I expected is (i.e., aligned)
>
>      111  222  
>      333  444  
>      555  666  

I do not mean to "works on my machine", but it works on my 
machine.

Do you have any specific configuration for EWW in your .emacs 
file?


-- 
Brett M. Gilio
Free Software Foundation, Member
https://parabola.nu | https://emacs.org




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jul 2018 05:24:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 26 01:24:44 2018
Received: from localhost ([127.0.0.1]:58019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fiYlY-0007jg-9V
	for submit <at> debbugs.gnu.org; Thu, 26 Jul 2018 01:24:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1fiYlW-0007jS-5y
 for submit <at> debbugs.gnu.org; Thu, 26 Jul 2018 01:24:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1fiYlN-0001N3-Up
 for submit <at> debbugs.gnu.org; Thu, 26 Jul 2018 01:24:36 -0400
Received: from lists.gnu.org ([2001:4830:134:3::11]:56689)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1fiYlN-0001Mn-R4
 for submit <at> debbugs.gnu.org; Thu, 26 Jul 2018 01:24:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44461)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1fiYlK-0005jn-JS
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jul 2018 01:24:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1fiYlH-0001Df-Jq
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jul 2018 01:24:30 -0400
Received: from forward105o.mail.yandex.net ([2a02:6b8:0:1a2d::608]:59183)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1fiYlH-00017d-BC
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jul 2018 01:24:27 -0400
Received: from mxback5o.mail.yandex.net (mxback5o.mail.yandex.net
 [IPv6:2a02:6b8:0:1a2d::1f])
 by forward105o.mail.yandex.net (Yandex) with ESMTP id 5AC7D4446831
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Jul 2018 08:24:23 +0300 (MSK)
Received: from smtp3p.mail.yandex.net (smtp3p.mail.yandex.net
 [2a02:6b8:0:1472:2741:0:8b6:8])
 by mxback5o.mail.yandex.net (nwsmtp/Yandex) with ESMTP id aM73Vr8SzW-ONA86g1b; 
 Thu, 26 Jul 2018 08:24:23 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=xuchunyang.me; s=mail;
 t=1532582663; bh=zjXfTquTwWC8HeK+pC/jULl+62o5sK8K4UYb/iHqRCw=;
 h=From:To:Subject:Date:Message-ID;
 b=I9oUs8Vq+ogaJlW5pgb/YujB2PWRr4bD/zzyPBs288JJHnRuEbLD405YBA989EjIx
 0WjVMZmGjLeWuCkiegN7SPDcH/Sj4ENGr3fFd67ZV00LzQb+g8YqYxT10bxzz5BesS
 XWrBrzi8IFrkIRhfkd98lmzE02S8vuaU2p2aKE2M=
Received: by smtp3p.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 U6hYD7UeUU-OLDGLSwb; Thu, 26 Jul 2018 08:24:21 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=xuchunyang.me; s=mail;
 t=1532582662; bh=zjXfTquTwWC8HeK+pC/jULl+62o5sK8K4UYb/iHqRCw=;
 h=From:To:Subject:Date:Message-ID;
 b=1w2U4527ndPLlyQrU7iMJZMyJsQAkd7sB+l6T9HkOx/r0uM1M8GlBzeHDJwmbS5kM
 awCqpRwjVEgjGLPHpNAMZf0fY3HFfFda1iryHdDcT1NmSLJj4wBd5Am98yQfjEyJX8
 T0gxkX6uZfBjPOZqfB5J0mYLViRwwpSxy6cDzFU4=
Authentication-Results: smtp3p.mail.yandex.net;
 dkim=pass header.i=@xuchunyang.me
From: Xu Chunyang <mail@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; EWW not align <table> inside <blockquote>
Date: Thu, 26 Jul 2018 13:24:17 +0800
Message-ID: <m2h8km36ym.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


For example,

<blockquote>
  <table>
    <tr>
      <td>111</td>
      <td>222</td>
    </tr>
    <tr>
      <td>333</td>
      <td>444</td>
    </tr>
    <tr>
      <td>555</td>
      <td>666</td>
    </tr>
  </table>
</blockquote>

EWW renders it as the following

         111  222  
     333  444  
     555  666  

What I expected is (i.e., aligned)

     111  222  
     333  444  
     555  666  




Acknowledgement sent to Xu Chunyang <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32277; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 May 2019 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.